@extends('app.my-account.layout')

@section('page-title')
    <p><b>Login Settings</b></p>
@endsection

@section('page')
<?php
$role = myPersona($user);
$personas = myPersonas($user);
?>
<div class="row">
        <div class="col-md-12">
          <div class="settings-container">
            <div class="settings-content border-rounded">
              <div class="d-sm-flex align-items-center justify-content-between">
                <h5 class="m-0 mb-sm-0 mb-3">{{$performer->user->displayName()}}</h5>
                @include('app.my-account.settings.update-name')
              </div>
              <hr class="my-3">
              <div class="d-sm-flex align-items-center justify-content-between">
                <h6 class="m-0 mb-sm-0 mb-3">Password Settings</h6>
                @include('app.my-account.settings.self-put-new-password')
              </div>
              <hr class="my-3">
              <div class="d-flex align-items-center justify-content-between">
                <h6 class="m-0">
                  @if($performer->user->is_standard_log_in_enabled)
                    <span>Disable Standard Login</span>
                  @else
                    <span>Enable Standard Login</span>
                  @endif
                </h6>
                @if($performer->user->is_standard_log_in_enabled)
                  @include('app.my-account.settings.self-disable-standard-login')
                @else
                  @include('app.my-account.settings.self-enable-standard-login')
                @endif
              </div>
              <hr class="my-3">
              <div class="d-flex align-items-center justify-content-between">
                <h6 class="m-0">
                  @if($performer->user->is_google_log_in_enabled)
                    <span>Disable Google Login</span>
                  @else
                    <span>Enable Google Login</span>
                  @endif
                </h6>
                @if($performer->user->is_google_log_in_enabled)
                  @include('app.my-account.settings.self-disable-google-login')
                @else
                  @include('app.my-account.settings.self-enable-google-login')
                @endif
              </div>
              <hr class="my-3">
              <div class="d-flex align-items-center justify-content-between">
                <h6 class="m-0">
                  @if($performer->user->is_facebook_log_in_enabled)
                    <span>Disable Facebook Login</span>
                  @else
                    <span>Enable Facebook Login</span>
                  @endif
                </h6>
                @if($performer->user->is_facebook_log_in_enabled)
                  @include('app.my-account.settings.self-disable-facebook-login')
                @else
                  @include('app.my-account.settings.self-enable-facebook-login')
                @endif
              </div>
            </div>
          </div>
        </div>
    </div>
@endsection
